function config -d "sets some configuration variables"

    # A directory where ukis can be built.
    #
    # It is recommended to keep this within /tmp, as the generated data will not
    # be needed later.
    # It is recommended to not set this to a path with data inside. This program
    # will sometimes remove all content of specific subfolders.
    set -g CFG_BUILD_DIR "/tmp/snap-pac-uki"

    # The subvolume to use on the kernel command line when generating current
    # images.
    set -g CFG_DEFAULT_SUBVOL "@"

    # Wheter to add a new EFI entry for a new snapshot uki
    set -g CFG_EFI "yes"

    # The device the EFI partition resides on
    set -g CFG_EFI_DEV "/dev/nvme0n1"

    # The "efi directory" that will contain the ukis
    set -g CFG_EFI_PATH "\EFI\Linux"

    # The efi partitions number on the device
    set -g CFG_EFI_PART "1"

    # The snapper config name
    set -g CFG_SNAPSHOT_CONFIG "root"

    # The linux fs path containing all snapshot data
    set -g CFG_SNAPSHOT_PATH "/.snapshots"

    # The name of the subvolume containing all snapshots
    set -g CFG_SNAPSHOT_SUBVOL "@snapshots"

    # The directory to put uki files in
    set -g CFG_UKI_DIR "/efi/EFI/Linux"

    # Whether generated uki files should be signed
    set -g CFG_SECUREBOOT "yes"

    # The path to the .key file with which to sign uki files
    set -g CFG_SECUREBOOT_KEY "/etc/secureboot/keys/db/db.key"

    # The path to the .crt file with which to sign uki files
    set -g CFG_SECUREBOOT_CERT "/etc/secureboot/keys/db/db.crt"
end
